<template>
    <div class='product-param'>        
        <button 
        v-for='value in valuesToShow' 
        :key='value.id'         
        :class='value.selected ? "product-value-selected" : "product-value"' 
        @click='selectValue(value.id)'
        >
            {{value.text | lowercase }}
        </button>
    </div>
</template>
<script>
import _ from 'lodash';
export default {
    props: [
        'multi',
        'values',
        'valuesToShow'
    ],   
    methods: {
        selectValue(id) {                                              
            let newValues = JSON.parse(JSON.stringify(this.values));
            if (!this.multi) {                
                newValues = newValues.map(it => {
                    it.selected = false;   
                    return it;                 
                });
            }           
            const value = newValues.find(it => it.id === id);            
            value.selected = !value.selected;                  
            this.$emit('change', newValues);
        }
    }
}
</script>
<style scoped>
    .product-param {
        display: flex;     
        justify-content: left;
        align-items: center;    
        width: 350px;      
        margin: 7px;        
        background-color:#F5F5F5;
        border-radius: 10px;
    }
    .product-value {
        flex: 1;
        max-width: 50%;
        color: #777;
        outline: none;
        border: 0;        
        border-radius: 10px;
        background-color: #F5F5F5;                
        padding: 5px;
        transition: all 0.1s ease;
    }
    .product-value-selected {
        flex: 1;
        max-width: 50%;
        outline: none;
        border: 0;
        border: 1px solid #777;
        border-radius: 10px;        
        background-color: white;
        color: #777;
        padding: 5px;
    }
    .product-value:hover {
        border: 1px solid #777;
        color: #777
    }
</style>



